summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2018-12-25 21:01:55 +0800
committerBenda Xu <heroxbd@gentoo.org>2018-12-25 21:02:30 +0800
commitd1bfec7ed921a398b1beade354da36db5faa86f0 (patch)
tree8b27aa1dd3d75878faa222d0662977af9dcd683f /dev-python/jupyter_console
parentprofiles/prefix/darwin/macos/arch/ppc: mask gcc and binutils-apple versions (diff)
downloadgentoo-d1bfec7ed921a398b1beade354da36db5faa86f0.tar.gz
gentoo-d1bfec7ed921a398b1beade354da36db5faa86f0.tar.bz2
gentoo-d1bfec7ed921a398b1beade354da36db5faa86f0.zip
dev-python/jupyter_console: Version bump.
<python-3.5 is no longer supported. Suggested-By: Leonard Lausen Closes: https://bugs.gentoo.org/671554 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
Diffstat (limited to 'dev-python/jupyter_console')
-rw-r--r--dev-python/jupyter_console/Manifest1
-rw-r--r--dev-python/jupyter_console/jupyter_console-6.0.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/jupyter_console/Manifest b/dev-python/jupyter_console/Manifest
index 522aec01f46..08ef7af1b1c 100644
--- a/dev-python/jupyter_console/Manifest
+++ b/dev-python/jupyter_console/Manifest
@@ -2,3 +2,4 @@ DIST jupyter_console-4.0.3.tar.gz 22090 BLAKE2B feec288328132d2f75ad21e242d7b0bd
DIST jupyter_console-4.1.1.tar.gz 23391 BLAKE2B c22ebebaca3f009f1952d6e2af6c2f552a19626b2f7a51ab760f258d69b10c91cd162cb54d3d6cdf04b04aeff4e538e24ddf5a9ec1907aa2c7927280a5855755 SHA512 40894f41b85c1b823c3d75f33427728717b75e800a08c8a6b17b1c6ca7a6543b2aadc72d7ff131a7633252ac01bb0b0142025d7a53c3f3b7f8d189e6ff14216e
DIST jupyter_console-5.0.0.tar.gz 26119 BLAKE2B 3961a3da26ad9e873a873556115aa4430b24bdd22d9ebab88c3c7b8d72ecfb90926e0b690b23d9bff0bc68f15dd0623cb1e6f1f56ba47b7afe964542a5f8c3b1 SHA512 e31afa5960200feea125b939124b108a0b9dcc914fe2e21b86cd1dc409789cb25a72918a7eb5fcc7bd35c26bfabb71b6426a2cb7b45a8cab58f1d8e4b9bc89de
DIST jupyter_console-5.1.0.tar.gz 26661 BLAKE2B 075035d02fee640ccf9a2a7bd22e5872727380bd54b1fed48bd53f6bee12da8ff3dc5f4ff258d0c03f7260e2b495d8cb313a4b4f49e4eb644f0b15988fe41577 SHA512 208a31886eb58c64541048e1f7ed75fccc888d34177f86dfaf10fb7dcd603130a8b3ecbe23cf4d80a75287b847128425f853715c494d2a7e4b4eed8a31058b5c
+DIST jupyter_console-6.0.0.tar.gz 27780 BLAKE2B da2b58461caa987bea0b323cedbc79ff24f31cb928602b8ae6dce1ed615008a8227d7a1bab47364e6d182cfd3bd6f548e355430efc505e7183a391ef26c08375 SHA512 27b333f439733c33062d3baa8b49ff673b10e22cb8c28c688ba604799838e899f93372bd2eaf4a94c97260d6dec043d6aef4421388d77e625b1ec43a3dedfa3f
diff --git a/dev-python/jupyter_console/jupyter_console-6.0.0.ebuild b/dev-python/jupyter_console/jupyter_console-6.0.0.ebuild
new file mode 100644
index 00000000000..9024d1bd994
--- /dev/null
+++ b/dev-python/jupyter_console/jupyter_console-6.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A terminal-based console frontend for Jupyter kernels"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ >=dev-python/prompt_toolkit-1.0.0[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 'python2*')
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/nose-0.10.1[${PYTHON_USEDEP}]
+ )
+ "
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests --with-coverage --cover-package=jupyter_console jupyter_console || die
+}